Package org.eclipse.net4j.util.options

## Interface IOptions

- All Superinterfaces:
    `INotifier`

      public interface IOptions
      extends INotifier

  Encapsulates a set of notifying configuration options.
  Since:
    2.0
  Author:
    Victor Roldan Betancort
  See Also:
    `IOptionsContainer`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `INotifier.INotifier2`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IOptionsContainer` | `getContainer()` | Returns the container of this options object.

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Method Detail

    - #### getContainer

          IOptionsContainer getContainer()

      Returns the container of this options object.